=== modified file 'branch.py'
--- branch.py	2007-02-03 15:04:56 +0000
+++ branch.py	2007-05-15 14:49:49 +0000
@@ -63,7 +63,7 @@
         # Set callbacks
         self._button_branch.connect('clicked', self._on_branch_clicked)
         self._button_revision.connect('clicked', self._on_revision_clicked)
-        self._combo.connect('changed', self._on_combo_changed)
+        self._combo.child.connect('focus-out-event', self._on_combo_changed)
         
         # Create the table and pack the widgets into it
         self._table = gtk.Table(rows=3, columns=2)
@@ -197,8 +197,9 @@
         
         self.response(gtk.RESPONSE_OK)
     
-    def _on_combo_changed(self, widget):
+    def _on_combo_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """
+        print "DEBUG: combo changed."
         rev = self._get_last_revno()
         if rev is None:
             self._entry_revision.set_text(_('N/A'))

=== modified file 'checkout.py'
--- checkout.py	2007-02-03 15:04:56 +0000
+++ checkout.py	2007-05-15 14:49:49 +0000
@@ -64,7 +64,7 @@
         # Set callbacks
         self._button_checkout.connect('clicked', self._on_checkout_clicked)
         self._button_revision.connect('clicked', self._on_revision_clicked)
-        self._combo.connect('changed', self._on_combo_changed)
+        self._combo.child.connect('focus-out-event', self._on_combo_changed)
         
         # Create the table and pack the widgets into it
         self._table = gtk.Table(rows=3, columns=2)
@@ -179,7 +179,7 @@
         
         self.response(gtk.RESPONSE_OK)
     
-    def _on_combo_changed(self, widget):
+    def _on_combo_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """
         rev = self._get_last_revno()
         if rev is None:

